com.io7m.jtensors.core.determinants

## Class Determinants

- java.lang.Object
- - com.io7m.jtensors.core.determinants.Determinants

-     public final class Determinants
      extends Object

  Functions for calculating determinants.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `determinant2x2(double r0c0, double r0c1, double r1c0, double r1c1)` Calculate the determinant of the given 2x2 matrix values.
    `static double` | `determinant3x3(double r0c0, double r0c1, double r0c2, double r1c0, double r1c1, double r1c2, double r2c0, double r2c1, double r2c2)` Calculate the determinant of the given 3x3 matrix values.
    `static double` | `determinant4x4(double r0c0, double r0c1, double r0c2, double r0c3, double r1c0, double r1c1, double r1c2, double r1c3, double r2c0, double r2c1, double r2c2, double r2c3, double r3c0, double r3c1, double r3c2, double r3c3)` Calculate the determinant of the given 4x4 matrix values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### determinant2x2

          public static double determinant2x2(double r0c0,
                                              double r0c1,
                                              double r1c0,
                                              double r1c1)

      Calculate the determinant of the given 2x2 matrix values.
      Parameters:
        `r0c0` - The value at row 0 column 0
        `r0c1` - The value at row 0 column 1
        `r1c0` - The value at row 1 column 0
        `r1c1` - The value at row 1 column 1
      Returns:
        The determinant

    - #### determinant3x3

          public static double determinant3x3(double r0c0,
                                              double r0c1,
                                              double r0c2,
                                              double r1c0,
                                              double r1c1,
                                              double r1c2,
                                              double r2c0,
                                              double r2c1,
                                              double r2c2)

      Calculate the determinant of the given 3x3 matrix values.
      Parameters:
        `r0c0` - The value at row 0 column 0
        `r0c1` - The value at row 0 column 1
        `r0c2` - The value at row 0 column 2
        `r1c0` - The value at row 1 column 0
        `r1c1` - The value at row 1 column 1
        `r1c2` - The value at row 1 column 2
        `r2c0` - The value at row 2 column 0
        `r2c1` - The value at row 2 column 1
        `r2c2` - The value at row 2 column 2
      Returns:
        The determinant

    - #### determinant4x4

          public static double determinant4x4(double r0c0,
                                              double r0c1,
                                              double r0c2,
                                              double r0c3,
                                              double r1c0,
                                              double r1c1,
                                              double r1c2,
                                              double r1c3,
                                              double r2c0,
                                              double r2c1,
                                              double r2c2,
                                              double r2c3,
                                              double r3c0,
                                              double r3c1,
                                              double r3c2,
                                              double r3c3)

      Calculate the determinant of the given 4x4 matrix values.
      Parameters:
        `r0c0` - The value at row 0 column 0
        `r0c1` - The value at row 0 column 1
        `r0c2` - The value at row 0 column 2
        `r0c3` - The value at row 0 column 3
        `r1c0` - The value at row 1 column 0
        `r1c1` - The value at row 1 column 1
        `r1c2` - The value at row 1 column 2
        `r1c3` - The value at row 1 column 3
        `r2c0` - The value at row 2 column 0
        `r2c1` - The value at row 2 column 1
        `r2c2` - The value at row 2 column 2
        `r2c3` - The value at row 2 column 3
        `r3c0` - The value at row 3 column 0
        `r3c1` - The value at row 3 column 1
        `r3c2` - The value at row 3 column 2
        `r3c3` - The value at row 3 column 3
      Returns:
        The determinant

Copyright © 2017 <code@io7m.com> http://io7m.com